Bug 1158365 - (CVE-2019-5164) VUL-0: CVE-2019-5164: code execution vulnerability in the ss-manager binary of Shadowsocks-libev 3.3.2
(CVE-2019-5164)
VUL-0: CVE-2019-5164: code execution vulnerability in the ss-manager binary o...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Hillwood Yang
Security Team bot
https://smash.suse.de/issue/248330/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-04 08:54 UTC by Robert Frohl
Modified: 2020-01-29 23:39 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-12-04 08:54:01 UTC
CVE-2019-5164

An exploitable code execution vulnerability exists in the ss-manager binary of
Shadowsocks-libev 3.3.2. Specially crafted network packets sent to ss-manager
can cause an arbitrary binary to run, resulting in code execution and privilege
escalation. An attacker can send network packets to trigger this vulnerability.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-5164
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5164
https://talosintelligence.com/vulnerability_reports/TALOS-2019-0958
Comment 1 Robert Frohl 2019-12-04 08:56:00 UTC
Fixed by version 3.3.3 [0] too.

Nothing left to do once these are released:
https://build.opensuse.org/request/show/753248 15.0 / shadowsocks-libev
https://build.opensuse.org/request/show/753255 15.1 / shadowsocks-libev

[0] https://github.com/shadowsocks/shadowsocks-libev/issues/2537
Comment 2 Swamp Workflow Management 2019-12-05 02:20:10 UTC
This is an autogenerated message for OBS integration:
This bug (1158365) was mentioned in
https://build.opensuse.org/request/show/754211 15.1 / shadowsocks-libev
Comment 3 Swamp Workflow Management 2019-12-11 14:13:46 UTC
openSUSE-SU-2019:2667-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1158251,1158365
CVE References: CVE-2019-5163,CVE-2019-5164
Sources used:
openSUSE Leap 15.1 (src):    shadowsocks-libev-3.3.3-lp151.2.3.1
Comment 4 Hillwood Yang 2020-01-13 07:12:21 UTC
Fixed.
Comment 5 Swamp Workflow Management 2020-01-16 04:30:10 UTC
This is an autogenerated message for OBS integration:
This bug (1158365) was mentioned in
https://build.opensuse.org/request/show/764828 Factory / shadowsocks-libev
Comment 6 Swamp Workflow Management 2020-01-29 20:36:14 UTC
openSUSE-SU-2020:0142-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1158251,1158365
CVE References: CVE-2019-5163,CVE-2019-5164
Sources used:
openSUSE Backports SLE-15-SP1 (src):    shadowsocks-libev-3.3.3-bp151.5.3.1